LocalesResource
Reads and changes the project locales.
- Stable unknown
- Release candidate since 0.1.0-rc.4
- Development since 0.1.0-dev.24+fa54770
public final class LocalesResourceReads and changes the project locales. Get it from Ovok.locales().
Methods
retrieve
public JsonNode retrieve(RequestOptions options) throws IOException, InterruptedExceptionGets the project locales (GET /locales).
Parameters:
options: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
update
public JsonNode update(
Object locales,
RequestOptions options) throws IOException, InterruptedExceptionChanges the project locales (PATCH /locales).
Parameters:
locales: the locale changesoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
Last updated on